Redmine - Defect #5429

unable to browse folder
2010-05-03 14:27 - Mahendra Sahu

Status: Closed Start date: 2010-05-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Hi,

| have migrated redmine 0.8 to a new server with redmine 0.9.
| am unable to browse anything through public folder.

The output of "gem list" is....

actionmailer (2.3.5, 2.1.2)
actionpack (2.3.5, 2.1.2)
activerecord (2.3.5, 2.1.2)
activeresource (2.3.5, 2.1.2)
activesupport (2.3.5, 2.1.2)
fastthread (1.0.7)
passenger (2.2.11)

rack (1.1.0, 1.0.1)

rails (2.3.5)

rake (0.8.7)

production.log says.....

ActionController::RoutingError (No route matches "/public/attachments/277/edmv_logo.png" with {:method=>:get}):
passenger (2.2.11) lib/phusion_passenger/rack/request_handler.rb:92:in “process_request'
passenger (2.2.11) lib/phusion_passenger/abstract_request_handler.rb:207:in "'main_loop'
passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:418:in “start_request_handler'
passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:358:in "handle_spawn_application
passenger (2.2.11) lib/phusion_passenger/utils.rb:184:in “safe_fork'
passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:354:in "handle_spawn_application
passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in *__send__'
passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in “main_loop'
passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in “start_synchronously’
passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:163:in “start’
passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:213:in “start’
passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:262:in “spawn_rails_application’
passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:126:in “lookup_or_add'
passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:256:in “spawn_rails_application’
passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:80:in “synchronize'
passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:79:in “synchronize'
passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:255:in “spawn_rails_application’
passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:154:in “spawn_application'
passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:287:in “handle_spawn_application’
passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in *__send_ '
passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in “main_loop'
passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in “start_synchronously’

Rendering /usr/local/lib/redmine-0.9/public/404.html (404 Not Found)
Please help..!

Regards...
Mahendra
History

#1 - 2010-05-03 20:15 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Sorry, this looks like a deployment issue.
We track Redmine defects here.

#2 - 2010-05-04 06:56 - Mahendra Sahu

- Status changed from Closed to Reopened

If possible, could you let me know where should post it.

#3 - 2010-05-04 07:25 - Thomas Pihl

Looks like a passenger issue.

Doublecheck your (apache) config file, DocumentRoot should end with /public, not the redmine folder. Make sure the whole redmine folder structure
are owned by webserver-user.

If this doesnt work, i'd suggest passenger forums/support, might do the trick.

#4 - 2010-05-04 07:27 - Thomas Pihl

Sry, config file is not your problem.

When you moved redmine, did you move the content of the files subfolder? And did you give them the correct owner?

#5 - 2010-05-05 21:59 - Jean-Philippe Lang

- Status changed from Reopened to Closed

If possible, could you let me know where should post it.

You can try to get some help in the forums or on IRC.
